Public Member Functions

# wxHtmlContainerCell Class Reference
[HTML]

`#include <wx/html/htmlcell.h>`

Inheritance diagram for wxHtmlContainerCell:
[legend]

## Detailed Description

The wxHtmlContainerCell class is an implementation of a cell that may contain more cells in it.

It is heavily used in the wxHTML layout algorithm.

##

Library: wxHTML
Category: HTML

See also:
  Cells and Containers

## Public Member Functions
| wxHtmlContainerCell (wxHtmlContainerCell *parent)
| Constructor.
int | GetAlignHor () const
| Returns container's horizontal alignment.
int | GetAlignVer () const
| Returns container's vertical alignment.
wxColour | GetBackgroundColour ()
| Returns the background colour of the container or `wxNullColour` if no background colour is set.
int | GetIndent (int ind) const
| Returns the indentation.
int | GetIndentUnits (int ind) const
| Returns the units of indentation for ind where ind is one of the wxHTML_INDENT_* constants.
void | InsertCell (wxHtmlCell *cell)
| Inserts a new cell into the container.
void | SetAlign (const wxHtmlTag &tag)
| Sets the container's alignment (both horizontal and vertical) according to the values stored in tag.
void | SetAlignHor (int al)
| Sets the container's horizontal alignment.
void | SetAlignVer (int al)
| Sets the container's vertical alignment.
void | SetBackgroundColour (const wxColour &clr)
| Sets the background colour for this container.
void | SetBorder (const wxColour &clr1, const wxColour &clr2, int border=1)
| Sets the border (frame) colours.
void | SetIndent (int i, int what, int units=wxHTML_UNITS_PIXELS)
| Sets the indentation (free space between borders of container and subcells).
void | SetMinHeight (int h, int align=wxHTML_ALIGN_TOP)
| Sets minimal height of the container.
void | SetWidthFloat (int w, int units)
| Sets floating width adjustment.
void | SetWidthFloat (const wxHtmlTag &tag, double pixel_scale=1.0)
| Sets floating width adjustment.

List of all members.

## Constructor & Destructor Documentation

wxHtmlContainerCell::wxHtmlContainerCell | ( | wxHtmlContainerCell * | parent | ) |

Constructor.

parent is pointer to parent container or NULL.

## Member Function Documentation

int wxHtmlContainerCell::GetAlignHor | ( |  | ) | const

Returns container's horizontal alignment.

int wxHtmlContainerCell::GetAlignVer | ( |  | ) | const

Returns container's vertical alignment.

wxColour wxHtmlContainerCell::GetBackgroundColour | ( |  | ) |

Returns the background colour of the container or `wxNullColour` if no background colour is set.

int wxHtmlContainerCell::GetIndent | ( | int | ind | ) | const

Returns the indentation.

ind is one of the wxHTML_INDENT_* constants.

Note:
  You must call GetIndentUnits() with same ind parameter in order to correctly interpret the returned integer value. It is NOT always in pixels!

int wxHtmlContainerCell::GetIndentUnits | ( | int | ind | ) | const

Returns the units of indentation for ind where ind is one of the wxHTML_INDENT_* constants.

void wxHtmlContainerCell::InsertCell | ( | wxHtmlCell * | cell | ) |

Inserts a new cell into the container.

void wxHtmlContainerCell::SetAlign | ( | const wxHtmlTag & | tag | ) |

Sets the container's alignment (both horizontal and vertical) according to the values stored in tag.

(Tags `ALIGN` parameter is extracted.) In fact it is only a front-end to SetAlignHor() and SetAlignVer().

void wxHtmlContainerCell::SetAlignHor | ( | int | al | ) |

Sets the container's horizontal alignment.

During wxHtmlCell::Layout each line is aligned according to al value.

Parameters:

  | al | new horizontal alignment. May be one of these values: wxHTML_ALIGN_LEFT: lines are left-aligned (default) wxHTML_ALIGN_JUSTIFY: lines are justified wxHTML_ALIGN_CENTER: lines are centered wxHTML_ALIGN_RIGHT: lines are right-aligned

void wxHtmlContainerCell::SetAlignVer | ( | int | al | ) |

Sets the container's vertical alignment.

This is per-line alignment!

Parameters:

  | al | new vertical alignment. May be one of these values: wxHTML_ALIGN_BOTTOM: cells are over the line (default) wxHTML_ALIGN_CENTER: cells are centered on line wxHTML_ALIGN_TOP: cells are under the line

void wxHtmlContainerCell::SetBackgroundColour | ( | const wxColour & | clr | ) |

Sets the background colour for this container.

void wxHtmlContainerCell::SetBorder | ( | const wxColour & | clr1,
|  | const wxColour & | clr2,
|  | int | border = `1` |
| ) |  |  |

Sets the border (frame) colours.

A border is a rectangle around the container.

Parameters:

  | clr1 | Colour of top and left lines
  | clr2 | Colour of bottom and right lines
  | border | Size of the border in pixels

void wxHtmlContainerCell::SetIndent | ( | int | i,
|  | int | what,
|  | int | units = `wxHTML_UNITS_PIXELS` |
| ) |  |  |

Sets the indentation (free space between borders of container and subcells).

Parameters:

  | i | Indentation value.
  | what | Determines which of the four borders we're setting. It is OR combination of following constants: wxHTML_INDENT_TOP: top border wxHTML_INDENT_BOTTOM: bottom wxHTML_INDENT_LEFT: left wxHTML_INDENT_RIGHT: right wxHTML_INDENT_HORIZONTAL: left and right wxHTML_INDENT_VERTICAL: top and bottom wxHTML_INDENT_ALL: all 4 borders
  | units | Units of i. This parameter affects interpretation of value. wxHTML_UNITS_PIXELS: i is number of pixels wxHTML_UNITS_PERCENT: i is interpreted as percents of width of parent container

void wxHtmlContainerCell::SetMinHeight | ( | int | h,
|  | int | align = `wxHTML_ALIGN_TOP` |
| ) |  |  |

Sets minimal height of the container.

When container's wxHtmlCell::Layout is called, m_Height is set depending on layout of subcells to the height of area covered by layed-out subcells. Calling this method guarantees you that the height of container is never smaller than h - even if the subcells cover much smaller area.

Parameters:

  | h | The minimal height.
  | align | If height of the container is lower than the minimum height, empty space must be inserted somewhere in order to ensure minimal height. This parameter is one of `wxHTML_ALIGN_TOP`, `wxHTML_ALIGN_BOTTOM`, `wxHTML_ALIGN_CENTER`. It refers to the contents, not to the empty place.

void wxHtmlContainerCell::SetWidthFloat | ( | const wxHtmlTag & | tag,
|  | double | pixel_scale = `1.0` |
| ) |  |  |

Sets floating width adjustment.

The normal behaviour of container is that its width is the same as the width of parent container (and thus you can have only one sub-container per line). You can change this by setting the floating width adjustment.

Parameters:

  | tag | In the second version of method, w and units info is extracted from tag's WIDTH parameter.
  | pixel_scale | This is number of real pixels that equals to 1 HTML pixel.

void wxHtmlContainerCell::SetWidthFloat | ( | int | w,
|  | int | units |
| ) |  |  |

Sets floating width adjustment.

The normal behaviour of container is that its width is the same as the width of parent container (and thus you can have only one sub-container per line). You can change this by setting the floating width adjustment.

Parameters:

  | w | Width of the container. If the value is negative it means complement to full width of parent container. E.g.
       SetWidthFloat(-50, wxHTML_UNITS_PIXELS)
  sets the width of container to parent's width minus 50 pixels. This is useful when creating tables - you can call SetWidthFloat(50) and SetWidthFloat(-50).
  | units | Units of w This parameter affects the interpretation of value. wxHTML_UNITS_PIXELS: w is number of pixels wxHTML_UNITS_PERCENT: w is interpreted as percents of width of parent container

|  | [ top ]